Bug 253676 - amarok crashed on exit after adding a new mark [@ Amarok::PrettyTreeView::~PrettyTreeView]
Summary: amarok crashed on exit after adding a new mark [@ Amarok::PrettyTreeView::~Pr...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Bookmark Manager (show other bugs)
Version: 2.4-GIT
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
: 230651 256183 257407 263048 263129 266625 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-10-09 17:03 UTC by Mathias Panzenböck
Modified: 2011-05-31 23:32 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
New crash information added by DrKonqi (19.21 KB, text/plain)
2010-10-10 03:51 UTC, Mathias Panzenböck
Details
New crash information added by DrKonqi (18.42 KB, text/plain)
2010-11-07 02:26 UTC, Mathias Panzenböck
Details
New crash information added by DrKonqi (17.97 KB, text/plain)
2010-12-19 13:25 UTC, Bernhard M. Wiedemann
Details
New crash information added by DrKonqi (29.36 KB, text/plain)
2010-12-20 15:52 UTC, Jonathan Kolberg
Details
New crash information added by DrKonqi (21.47 KB, text/plain)
2011-05-31 13:13 UTC, Victor Polevoy
Details
New crash information added by DrKonqi (23.27 KB, text/plain)
2011-05-31 18:50 UTC, Victor Polevoy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Panzenböck 2010-10-09 17:03:44 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.3
Operating System: Linux 2.6.32.21-168.fc12.x86_64 x86_64
Distribution: "Fedora release 12 (Constantine)"

-- Information about the crash:
What I did:
paused currently playing soundfile
added position marker
stop
quit
crash

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f54bf5ff880 (LWP 2641))]

Thread 14 (Thread 0x7f549f204710 (LWP 2648)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f54a7d02631 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f54bb87da3a in start_thread (arg=0x7f549f204710) at pthread_create.c:297
#3  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f549e803710 (LWP 2649)):
#0  0x00007f54bb87fde1 in __pthread_mutex_lock (mutex=0x7f54980009b8) at pthread_mutex_lock.c:61
#1  0x000000316d03c2ef in IA__g_main_context_prepare (context=0x7f54980009b0, priority=<value optimized out>) at gmain.c:2209
#2  0x000000316d03c821 in g_main_context_iterate (context=0x7f54980009b0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2571
#3  0x000000316d03cd4a in IA__g_main_context_iteration (context=0x7f54980009b0, may_block=1) at gmain.c:2654
#4  0x00007f54bdaef446 in QEventDispatcherGlib::processEvents (this=0x7f54980008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f54bdac8412 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f54bdac86dc in QEventLoop::exec (this=0x7f549e802ca0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f54bd9e506b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f54a7f5db30 in Phonon::Xine::XineThread::run (this=0x2384a70) at /usr/src/debug/phonon-4.4.2/xine/xinethread.cpp:143
#9  0x00007f54bd9e71b5 in QThreadPrivate::start (arg=0x2384a70) at thread/qthread_unix.cpp:248
#10 0x00007f54bb87da3a in start_thread (arg=0x7f549e803710) at pthread_create.c:297
#11 0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f549dbfe710 (LWP 2650)):
#0  0x00007f54bc588353 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003181e2c73f in ?? () from /usr/lib64/libpulse.so.0
#2  0x0000003181e1cae6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x0000003181e1dea9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x0000003181e1df60 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x0000003181e2c64b in ?? () from /usr/lib64/libpulse.so.0
#6  0x0000003181638838 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x00007f54bb87da3a in start_thread (arg=0x7f549dbfe710) at pthread_create.c:297
#8  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f549d1fd710 (LWP 2651)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54a7d133e3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f54bb87da3a in start_thread (arg=0x7f549d1fd710) at pthread_create.c:297
#3  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f5497fff710 (LWP 2652)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54a7d133e3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f54bb87da3a in start_thread (arg=0x7f5497fff710) at pthread_create.c:297
#3  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f54975fe710 (LWP 2653)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54a7d133e3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f54bb87da3a in start_thread (arg=0x7f54975fe710) at pthread_create.c:297
#3  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f5496bfd710 (LWP 2654)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54a7d133e3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f54bb87da3a in start_thread (arg=0x7f5496bfd710) at pthread_create.c:297
#3  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f5494a9f710 (LWP 2784)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54bd9e813b in wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f54ba2d8f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39d9cc0, th=0x4b94f50) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f54ba2db4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x4b94f50) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f54ba2d9e6f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5494a9ed10, parent=0x39d9cc0, th=0x4b94f50) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f54ba2da358 in ThreadWeaver::Thread::run (this=0x4b94f50) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f54bd9e71b5 in QThreadPrivate::start (arg=0x4b94f50) at thread/qthread_unix.cpp:248
#8  0x00007f54bb87da3a in start_thread (arg=0x7f5494a9f710) at pthread_create.c:297
#9  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f5481866710 (LWP 2785)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54bd9e813b in wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f54ba2d8f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39d9cc0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f54ba2db4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007f54ba2d9e6f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5481865d10, parent=0x39d9cc0, th=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:87
#14 0x00007f54ba2da358 in ThreadWeaver::Thread::run (this=0x3c705c0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:142
#15 0x00007f54bd9e71b5 in QThreadPrivate::start (arg=0x3c705c0) at thread/qthread_unix.cpp:248
#16 0x00007f54bb87da3a in start_thread (arg=0x7f5481866710) at pthread_create.c:297
#17 0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f5480e65710 (LWP 2786)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54bd9e813b in wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f54ba2d8f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39d9cc0, th=0x3c72430) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f54ba2db4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x3c72430) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f54ba2d9e6f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5480e64d10, parent=0x39d9cc0, th=0x3c72430) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f54ba2da358 in ThreadWeaver::Thread::run (this=0x3c72430) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f54bd9e71b5 in QThreadPrivate::start (arg=0x3c72430) at thread/qthread_unix.cpp:248
#8  0x00007f54bb87da3a in start_thread (arg=0x7f5480e65710) at pthread_create.c:297
#9  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f547bbe6710 (LWP 2788)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54b653aa36 in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f54b653aa79 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f54bb87da3a in start_thread (arg=0x7f547bbe6710) at pthread_create.c:297
#4  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f547a85a710 (LWP 2789)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f54bd9e813b in wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x35f55f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f54ba2d8f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39d9cc0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f54ba2db4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f54ba2db4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x35f66d0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f54ba2d9e6f in ThreadWeaver::ThreadRunHelper::run (this=0x7f547a859d10, parent=0x39d9cc0, th=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:87
#11 0x00007f54ba2da358 in ThreadWeaver::Thread::run (this=0x396e7d0) at /usr/src/debug/kdelibs-4.4.5/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f54bd9e71b5 in QThreadPrivate::start (arg=0x396e7d0) at thread/qthread_unix.cpp:248
#13 0x00007f54bb87da3a in start_thread (arg=0x7f547a85a710) at pthread_create.c:297
#14 0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5479a49710 (LWP 2796)):
#0  0x00007f54bc557d5d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f54bc557bd0 in __sleep (seconds=0) at ../sysdeps/unix/sysv/linux/sleep.c:138
#2  0x00007f54b9dd7487 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f54ba0b0d40) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2308
#3  0x00007f54b9dd7539 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f5479a48cf0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#4  0x00007f54bb87da3a in start_thread (arg=0x7f5479a49710) at pthread_create.c:297
#5  0x00007f54bc59177d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f54bf5ff880 (LWP 2641)):
[KCrash Handler]
#5  isEmpty (this=0x98, akey=...) at ../../src/corelib/tools/qhash.h:293
#6  QHash<QModelIndex, QPersistentModelIndexData*>::remove (this=0x98, akey=...) at ../../src/corelib/tools/qhash.h:779
#7  0x00007f54bdabe606 in QAbstractItemModelPrivate::removePersistentIndexData (this=0x0, data=0x2af3d70) at kernel/qabstractitemmodel.cpp:542
#8  0x00007f54bdabe999 in QPersistentModelIndexData::destroy (data=0x2af3d70) at kernel/qabstractitemmodel.cpp:83
#9  0x00007f54bdabeadf in QPersistentModelIndex::~QPersistentModelIndex (this=0x3ed0520, __in_chrg=<value optimized out>) at kernel/qabstractitemmodel.cpp:155
#10 0x00007f54bda0207d in QHashData::free_helper (this=0x2bcfcf0, node_delete=0x7f54bd4144f0 <QHash<QPersistentModelIndex, QHashDummyValue>::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:275
#11 0x00007f54bd415803 in QTreeViewPrivate::~QTreeViewPrivate() () from /usr/lib64/libQtGui.so.4
#12 0x00007f54bd415949 in QTreeViewPrivate::~QTreeViewPrivate() () from /usr/lib64/libQtGui.so.4
#13 0x00007f54bdade506 in cleanup (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../src/corelib/tools/qscopedpointer.h:62
#14 ~QScopedPointer (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../src/corelib/tools/qscopedpointer.h:100
#15 QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:992
#16 0x00007f54bcf4527e in QWidget::~QWidget (this=0x2e633f0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1496
#17 0x00007f54be92947e in Amarok::PrettyTreeView::~PrettyTreeView (this=0x2e633f0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/widgets/PrettyTreeView.cpp:40
#18 0x00007f54be71ad13 in PlaylistBrowserNS::PlaylistBrowserView::~PlaylistBrowserView (this=0x2e633f0, __in_chrg=<value optimized out>)
    at /home/panzi/software/amarok/src/browsers/playlistbrowser/PlaylistBrowserView.cpp:75
#19 0x00007f54be71ad58 in PlaylistBrowserNS::PlaylistBrowserView::~PlaylistBrowserView (this=0x2e633f0, __in_chrg=<value optimized out>)
    at /home/panzi/software/amarok/src/browsers/playlistbrowser/PlaylistBrowserView.cpp:75
#20 0x00007f54bdad7a5c in QObjectPrivate::deleteChildren (this=0x3cf4820) at kernel/qobject.cpp:1986
#21 0x00007f54bcf451ec in QWidget::~QWidget (this=0x38b2d90, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1476
#22 0x00007f54be3f601b in BrowserCategory::~BrowserCategory (this=0x38b2d90, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/browsers/BrowserCategory.cpp:46
#23 0x00007f54be70c4fa in PlaylistBrowserNS::PlaylistBrowserCategory::~PlaylistBrowserCategory (this=0x38b2d90, __in_chrg=<value optimized out>)
    at /home/panzi/software/amarok/src/browsers/playlistbrowser/PlaylistBrowserCategory.cpp:141
#24 0x00007f54be733641 in PlaylistBrowserNS::PodcastCategory::~PodcastCategory (this=0x38b2d90, __in_chrg=<value optimized out>)
    at /home/panzi/software/amarok/src/browsers/playlistbrowser/PodcastCategory.cpp:134
#25 0x00007f54be73367c in PlaylistBrowserNS::PodcastCategory::~PodcastCategory (this=0x38b2d90, __in_chrg=<value optimized out>)
    at /home/panzi/software/amarok/src/browsers/playlistbrowser/PodcastCategory.cpp:134
#26 0x00007f54be3fa876 in void qDeleteAll<QList<BrowserCategory*>::const_iterator>(QList<BrowserCategory*>::const_iterator, QList<BrowserCategory*>::const_iterator) ()
   from /home/panzi/lib64/libamaroklib.so.1
#27 0x00007f54be3f9df7 in qDeleteAll<QList<BrowserCategory*> > (c=...) at /usr/include/QtCore/qalgorithms.h:330
#28 0x00007f54be3f70c3 in BrowserCategoryList::~BrowserCategoryList (this=0x36450e0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/browsers/BrowserCategoryList.cpp:96
#29 0x00007f54be3f72f2 in BrowserCategoryList::~BrowserCategoryList (this=0x36450e0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/browsers/BrowserCategoryList.cpp:100
#30 0x00007f54bdad7a5c in QObjectPrivate::deleteChildren (this=0x308b090) at kernel/qobject.cpp:1986
#31 0x00007f54bcf451ec in QWidget::~QWidget (this=0x32e7050, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1476
#32 0x00007f54bf134cd9 in KVBox::~KVBox (this=0x32e7050, __in_chrg=<value optimized out>) at /usr/src/debug/kdelibs-4.4.5/kdeui/widgets/kvbox.cpp:29
#33 0x00007f54bdad7a5c in QObjectPrivate::deleteChildren (this=0x46e2020) at kernel/qobject.cpp:1986
#34 0x00007f54bcf451ec in QWidget::~QWidget (this=0x3bc4b60, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1476
#35 0x00007f54be3d5f94 in AmarokDockWidget::~AmarokDockWidget (this=0x3bc4b60, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/widgets/AmarokDockWidget.h:26
#36 0x00007f54be3fda81 in BrowserDock::~BrowserDock (this=0x3bc4b60, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/browsers/BrowserDock.cpp:47
#37 0x00007f54be3fdac6 in BrowserDock::~BrowserDock (this=0x3bc4b60, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/browsers/BrowserDock.cpp:47
#38 0x00007f54bdad7a5c in QObjectPrivate::deleteChildren (this=0x26e8380) at kernel/qobject.cpp:1986
#39 0x00007f54bcf451ec in QWidget::~QWidget (this=0x26e86b0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1476
#40 0x00007f54be80c72a in MainWindow::~MainWindow (this=0x26e86b0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/MainWindow.cpp:209
#41 0x00007f54be80c790 in MainWindow::~MainWindow (this=0x26e86b0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/MainWindow.cpp:209
#42 0x00007f54be7ec34c in App::~App (this=0x7fff8aa736a0, __in_chrg=<value optimized out>) at /home/panzi/software/amarok/src/App.cpp:266
#43 0x000000000040ae15 in main (argc=3, argv=0x7fff8aa75608) at /home/panzi/software/amarok/src/main.cpp:237

Possible duplicates by query: bug 230447.

Reported using DrKonqi
Comment 1 Mathias Panzenböck 2010-10-10 03:51:41 UTC
Created attachment 52381 [details]
New crash information added by DrKonqi

Same crash as before. However, in between I compiled a new version of amarok (git 9fbeeb120c35981f63b764e8ae813cb34a8bb9b8, Sat Oct 9 16:31:09 2010 +0200). Just to confirm that the bug persists in this revision and is at least somewhat reproduceable for me. It was the same (big) mp3 file (Chaosradio Express 166 "Segeln") in which I made a bookmark before I stopped playback and closed amarok (which lead to the crash).
Comment 2 Mikko C. 2010-11-06 13:44:03 UTC
*** Bug 256183 has been marked as a duplicate of this bug. ***
Comment 3 Mathias Panzenböck 2010-11-07 02:26:21 UTC
Created attachment 53208 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

Stopped currently playing song (was paused) and then exited amarok.

-- Backtrace (Reduced):
#6  isEmpty (this=0x98, akey=...) at ../../src/corelib/tools/qhash.h:293
#7  QHash<QModelIndex, QPersistentModelIndexData*>::remove (this=0x98, akey=...) at ../../src/corelib/tools/qhash.h:783
#8  0x0000003f8615329a in QAbstractItemModelPrivate::removePersistentIndexData (this=0x0, data=0x144db30) at kernel/qabstractitemmodel.cpp:542
#9  0x0000003f861534e9 in QPersistentModelIndexData::destroy (data=0x144db30) at kernel/qabstractitemmodel.cpp:83
#10 0x0000003f8615362f in QPersistentModelIndex::~QPersistentModelIndex (this=0x26daff0, __in_chrg=<value optimized out>) at kernel/qabstractitemmodel.cpp:155
Comment 4 Myriam Schweingruber 2010-11-07 21:31:05 UTC
Confirmed by duplicate
Comment 5 Bernhard M. Wiedemann 2010-12-19 13:25:28 UTC
Created attachment 55067 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.85 (4.6 Beta2) using Qt 4.7.1

- What I was doing when the application crashed: closed amarok using Ctrl-Q after it had produced strange noises during+after a skype call.

-- Backtrace (Reduced):
#7  isEmpty (this=0x45454599, akey=...) at ../../src/corelib/tools/qhash.h:293
#8  QHash<QModelIndex, QPersistentModelIndexData*>::remove (this=0x45454599, akey=...) at ../../src/corelib/tools/qhash.h:784
#9  0xb6503d31 in QAbstractItemModelPrivate::removePersistentIndexData (this=0x45454545, data=0x9868f28) at kernel/qabstractitemmodel.cpp:542
#10 0xb6503f70 in QPersistentModelIndexData::destroy (data=0x9868f28) at kernel/qabstractitemmodel.cpp:83
#11 0xb65040b3 in QPersistentModelIndex::~QPersistentModelIndex (this=0x9920a10, __in_chrg=<value optimized out>) at kernel/qabstractitemmodel.cpp:155
Comment 6 Jonathan Kolberg 2010-12-20 15:52:49 UTC
Created attachment 55100 [details]
New crash information added by DrKonqi

amarok (2.3.90) on KDE Platform 4.5.85 (4.6 Beta2) using Qt 4.7.1

- What I was doing when the application crashed:
I closed Amarok and it crashed. Before that I switched a few times between Podcast and the Playlist to reproduce an other Bug.

-- Backtrace (Reduced):
#7  isEmpty (this=0x82, akey=...) at ../../include/QtCore/../../src/corelib/tools/qhash.h:293
#8  QHash<QModelIndex, QPersistentModelIndexData*>::remove (this=0x82, akey=...) at ../../include/QtCore/../../src/corelib/tools/qhash.h:784
#9  0x007c7491 in QAbstractItemModelPrivate::removePersistentIndexData (this=0x2e, data=0xaed5e10) at kernel/qabstractitemmodel.cpp:542
#10 0x007c76b0 in QPersistentModelIndexData::destroy (data=0xaed5e10) at kernel/qabstractitemmodel.cpp:83
#11 0x007c77d5 in QPersistentModelIndex::~QPersistentModelIndex (this=0xb5d0188, __in_chrg=<value optimized out>) at kernel/qabstractitemmodel.cpp:155
Comment 7 Myriam Schweingruber 2011-01-14 12:43:16 UTC
*** Bug 263048 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2011-01-14 12:44:22 UTC
*** Bug 263129 has been marked as a duplicate of this bug. ***
Comment 9 Kevin Funk 2011-02-06 01:25:10 UTC
Git commit fcbbc5b94acf551195e3a229bcc6b4471b033ffd by Kevin Funk.
Committed on 06/02/11 at 01:00.
Pushed by kfunk into branch 'master'.

Prevent possible double-delete

Possible fix for crashes while destructing objects.

BUG: 253676
BUG: 257407

M  +1    -0    ChangeLog     
M  +0    -5    src/browsers/BrowserCategory.cpp     

http://commits.kde.org/amarok/fcbbc5b94acf551195e3a229bcc6b4471b033ffd
Comment 10 Kevin Funk 2011-02-06 01:27:44 UTC
*** Bug 257407 has been marked as a duplicate of this bug. ***
Comment 11 Kevin Funk 2011-02-18 22:16:16 UTC
*** Bug 230651 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Funk 2011-02-18 22:16:43 UTC
*** Bug 266625 has been marked as a duplicate of this bug. ***
Comment 13 Victor Polevoy 2011-05-31 13:13:09 UTC
Created attachment 60502 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

-stopped playing song
-pressed ctrl-q(or exit from Amarok tray icon)
-crash

-- Backtrace (Reduced):
#6  d_func (sender=0x0, m=<value optimized out>, local_signal_index=0, argv=0x7fffa878bb70) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:125
[...]
#8  0x00007f4c7d571f13 in StatusBar::signalLongMessage (this=<value optimized out>, _t1=<value optimized out>, _t2=StatusBar::Sorry) at ./StatusBar.moc:149
#9  0x00007f4c7d571f59 in StatusBar::longMessage (this=0x0, text=..., type=StatusBar::Sorry) at ../../src/statusbar/StatusBar.cpp:352
#10 0x00007f4c7d3d85d9 in APG::PresetModel::savePresetsToXml (this=<value optimized out>, filename=..., pl=<value optimized out>) at ../../src/playlistgenerator/PresetModel.cpp:215
#11 0x00007f4c7d3d8d2c in APG::PresetModel::destroy () at ../../src/playlistgenerator/PresetModel.cpp:56
Comment 14 Kevin Funk 2011-05-31 14:11:11 UTC
@#13: Please try to upgrade to 2.4.1 and check if this is still valid.
Comment 15 Victor Polevoy 2011-05-31 18:50:22 UTC
Created attachment 60518 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

-paused playing song
-pressed ctrl-q(or exit from Amarok tray icon)
-crash

2 Kevin Funk, in 2.4.1, as you see, problem did not solved.

-- Backtrace (Reduced):
#6  d_func (sender=0x0, m=<value optimized out>, local_signal_index=0, argv=0x7fff8e471b30) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:125
[...]
#8  0x00007f0adfa44b63 in StatusBar::signalLongMessage (this=<value optimized out>, _t1=<value optimized out>, _t2=StatusBar::Sorry) at ./StatusBar.moc:149
#9  0x00007f0adfa44ba9 in StatusBar::longMessage (this=0x0, text=..., type=StatusBar::Sorry) at ../../src/statusbar/StatusBar.cpp:355
#10 0x00007f0adf8b0b49 in APG::PresetModel::savePresetsToXml (this=<value optimized out>, filename=..., pl=<value optimized out>) at ../../src/playlistgenerator/PresetModel.cpp:215
#11 0x00007f0adf8b129c in APG::PresetModel::destroy () at ../../src/playlistgenerator/PresetModel.cpp:56
Comment 16 Myriam Schweingruber 2011-05-31 23:32:52 UTC
Thewaveeffect: please open a separate bug report, your backtrace indicates a totally different problem than this one.